# Contributing

Thanks for checking out this contibuting guide! We're excited to hear and learn from you. Your experiences will benefit others who read and use these guides.

We've put together the following guidelines to help you figure out where you can best be helpful.

## Table of Contents

1. [Types of contributions we're looking for](#types-of-contributions-were-looking-for)
2. [Ground rules & expectations](#ground-rules--expectations)
3. [How to contribute](#how-to-contribute)
4. [Style guide](#style-guide)
5. [Setting up your environment](#setting-up-your-environment)
6. [Contribution review process](#contribution-review-process)
7. [Community](#community)


## Types of contributions we're looking for

There are many ways you can directly contribute to the guides (in descending order of need):

* Fix editorial inconsistencies or inaccuracies
* Add stories, examples, or anecdotes that help illustrate a point
* Revise language to be more approachable and friendly

Interested in making a contribution? Read on!


## Ground rules & expectations

Before we get started, here are a few things we expect from you (and that you should expect from others):

* Be kind and thoughtful in your conversations around this project. We all come from different backgrounds and projects, which means we likely have different perspectives on "how open source is done." Try to listen to others rather than convince them that your way is correct.
* This project is released with a [Contributor Code of Conduct](CODE_OF_CONDUCT.md). By participating in this project, you agree to abide by its terms.
* If you open a pull request, please ensure that your contribution passes all tests. If there are test failures, you will need to address them before we can merge your contribution.
* When adding content, please consider if it is widely valuable. Please don't add references or links to things you or your employer have created as others will do so if they appreciate it.


## How to contribute

If you'd like to contribute, start by searching through the [issues](https://github.com/tfxor/terrahub/issues) and [pull requests](https://github.com/tfxor/terrahub/pulls) to see whether someone else has raised a similar idea or question.

If you don't see your idea listed, and you think it fits into the goals of this guide, do one of the following:
* **If your contribution is minor,** such as a typo fix, open a pull request.
* **If your contribution is major,** such as a new guide, start by opening an issue first. That way, other people can weigh in on the discussion before you do any work.


## Style guide

If you're writing content, see the [style guide](https://github.com/tfxor/styleguide/blob/master/README.md) that we adopted as a team.


## Setting up your environment

This project is built using [nodejs](https://nodejs.org) and published using [npm](https://www.npmjs.com).

Once you have that set up, run:

    git clone git@github.com:tfxor/terrahub.git
    cd ./terrahub/
    npm install
    node ./bin/cli.js --help

... and you are good to go on your local machine!


## Contribution review process

To submit a contribution for review, issue a pull request with comments introducing your contribution. The comment should include a brief overview, responses to checklist questions, and pointers to related information. The entire submittal should ideally be self contained so any additional documentation should be in the pull request as well. Maintaining team will handle the review request, comment on each question and reply to the pull request.


## Community

Discussions about this project take place on this repository's [Issues](https://github.com/tfxor/terrahub/issues) and [Pull Requests](https://github.com/tfxor/terrahub/pulls) sections. Anybody is welcome to join these conversations.

Whenever possible, do not take these conversations to private channels, including contacting the maintainers directly. Keeping communications public means everybody can benefit and learn from the conversations.
