# Terms and Conditions

Last updated: 2018-08-01.

These Terms of Service contain the terms and conditions that govern all use of our Platform \(as defined below\) and Services \(as defined below\) and all content, services and/or products available on or through the Platform \(collectively, the "Services"\).

The Services are offered to you subject to your acceptance, without modification other than Special Terms \(as defined below\) agreed by the parties pursuant to these Terms of Service, of all of the terms and conditions contained herein and all other operating rules, policies \(including, without limitation, our Privacy Policy at [www.terrahub.io/privacy-policy](https://www.terrahub.io/privacy-policy/)\), the Guidelines \(as defined below\) and any future modifications thereof, and procedures that may be published from time to time on the Platform or made available to you on or through the Services \(collectively, the "Terms"\). When accepted by you \(as defined below\), these Terms form a legally binding contract between you and Supplier \(as defined below\). If you are entering into these Terms on behalf of an entity, such as your employer or the company you work for, you represent that you have the legal authority to bind that entity.

PLEASE READ THESE TERMS CAREFULLY. BY REGISTERING FOR, ACCESSING, BROWSING, AND/OR OTHERWISE USING THE SERVICES, YOU ACKNOWLEDGE THAT YOU HAVE READ, UNDERSTOOD, AND AGREE TO BE BOUND BY THESE TERMS. IF YOU DO NOT AGREE TO BE BOUND BY THESE TERMS, DO NOT ACCESS, BROWSE OR OTHERWISE USE THE PLATFORM OR THE SERVICES.

Supplier may, in its sole discretion, elect to suspend or terminate access to, or use of the Services to anyone who violates these Terms.

If you register for a free trial of the Services, the applicable provisions of these Terms will govern that free trial.

The original language of these Terms is English. Supplier may make available translations for convenience. In case of conflicts between the original English version and any translation, the English version shall prevail.


## 1. Definitions

"Account" -- the primary means for accessing and using the Services, subject to payment of a Fee designated in the selected Plan;

"Authorization" -- the set of rights and privileges on the Web Site assigned to a User by a Client;

"Client" -- a natural or legal person who has accepted these Terms with the Supplier;

"Client Data" -- Files and any other digital data and information, which is subjected to the Services or otherwise inserted to the System by the Client \(including the specific Users, Products, Persons, Organizations, associated with the Client\);

"Content" -- any data and information available through Services or contained within the structure of the System, articles, documents, brochures, presentations, pictures, images, audiovisual works, other informational materials and any comments;

"Fee" -- regular payment for using the activated Account;

"Files" -- documents of any kind \(images, spreadsheets, text files, etc.\) that are inserted to the System by the Client, and usually associated with a particular Person or Organization;

"Free Trial" -- temporary access for the purposes of trying out the Web Site and Services in accordance with any selected Plan without paying a Fee;

"Guidelines" -- additional guidelines or rules applicable to specific features, applications, products, or services which may be posted from time to time on the Platform or otherwise made available on or through the Services;

"Organization" -- legal persons \(such as companies\) and other entities with which that Client is doing business;

"Materials" -- the visual interfaces, graphics, design, systems, methods, information, computer code, software, services, "look and feel", organization, compilation of the content, code, data, and all other elements of the Services;

"Services" -- the Web Site, System, Content, Platform and all content, services and/or products available on or through the Platform;

"Plan" -- various criteria related to the use and functionality of the Services and on which the Fee is based;

"Platform" -- the TerraHub console management application;

"Products" -- the goods or services that a Client is offering to persons and Organizations;

"Reseller" -- third party entity that \(i\) purchases Services from Supplier and resells such Services to Clients, \(ii\) bills such Clients directly and \(iii\) provides such Clients with customer service;

"Special Terms" -- any particulars, specifications and conditions by which the parties have agreed to deviate from these Terms;

"Supplier" -- as the context requires, Advanced Knowledge Information LLC dba TerraHub Corp, or Mitoc Group Inc; and collectively, the "Suppliers";

"System" -- the integrated cloud computing solution for providing the Services, including applications, software, hardware, data bases, interfaces, associated media, documentation, updates, new releases and other components or materials provided therewith;

"User" -- a natural person granted with the Authorization to use the Account on behalf of a Client;

"Web Site" -- the compilation of all web documents \(including images, php and html files\) made available via www.terrahub.io or its sub domains or domains with identical names under other top domains and owned by Supplier.


## 2. Authority to Enter into These Terms with Supplier

The use of the Services is subject to acceptance of these Terms. To accept these Terms for itself or on behalf of a Client, a person must have the legal capacity to do so. In the case of an individual, the individual must be at least 18 years of age or have valid authorization from his/her legal representative or custodian. In the case of a legal entity, the entity must be duly incorporated and in good standing.

The Terms are accepted as soon as one of the following occurs first:

  * the person has received the confirmation of the creation of the Account and necessary credentials from Supplier in order to log in to his/her/its Account; or

  * for those Services and parts of the Web Site the use of which is not dependent on creating an Account, upon the moment of gaining access to such services.

You may not, without Supplier's prior written consent, access the Services \(i\) for production purposes, \(ii\) if you are a competitor of TerraHub, \(iii\) to monitor the availability, performance or functionality of the Services or \(iv\) for other benchmarking or competitive purposes.

Once accepted, these Terms remain effective until terminated as provided for herein.


## 3. Modifications to Terms

Supplier reserves the right, at its sole discretion, to change, modify, add, or remove portions of the Terms at any time by posting such changes on or through the Platform or the Services. Please check these Terms periodically for changes. Your continued use of the Services after such changes have been posted as provided above constitutes your binding acceptance of such changes. Such amended Terms will automatically be effective upon the earlier of \(i\) your continued use of the Services, or \(ii\) 30 days from posting of such modified Terms on or through the Platform. Notwithstanding the foregoing, the resolution of any dispute that arises between you and Supplier will be governed by the Terms in effect at the time such dispute arose.


## 4. Our Responsibilities

### 4.1. Provision of Services

Supplier will \(a\) make the Services, Content and Client Data available to a Client pursuant to these Terms, \(b\) provide applicable standard support for the Services to Client at no additional charge, and/or upgraded support (for an additional charge, if applicable), \(c\) use commercially reasonable efforts to make the Services available 24 hours a day, 7 days a week, except for: \(i\) planned downtime (of which Supplier shall give advance electronic notice as provided in the Guidelines), and \(ii\) any unavailability caused by circumstances beyond Supplier's reasonable control, including, for example, an act of God, act of government, flood, fire, earthquake, civil unrest, act of terror, strike or other labor problem, Internet service provider failure or delay, or denial of service attack.


### 4.2. Protection of Client Data

Supplier will maintain administrative, physical, and technical safeguards for protection of the security, confidentiality and integrity of Client Data, as described in the Guidelines. Those safeguards will include, but will not be limited to, measures for preventing access, use, modification or disclosure of Client Data by Supplier personnel except \(a\) to provide the Services and prevent or address service or technical problems, \(b\) as compelled by law in accordance with Section 7.4 (Compelled Disclosure) below, or \(c\) as a Client or User expressly permit in writing.

The Services may be performed using equipment or facilities located in the European Union or the United States. The Supplier's US service providers are either Privacy Shield compliant or have executed Standard Contractual Clauses \(as approved by the European Commission\) that provide legal grounds for assuring that, when processed in the United States, the personal data of EU citizens that are processed by TerraHub customers when using the Services will receive from the Supplier and its service providers located outside the EU an adequate level of protection within the meaning of Article 46 of Regulation \(EU\) 2016/679 \(General Data Protection Regulation\).

By agreeing to these Terms, the Client grants the Supplier a general authorization in the meaning of Article 28 \(2\) of Regulation \(EU\) 2016/679 to engage processors for the purposes of providing the Services. The Supplier will inform the Client of changes in such processors in accordance with the procedure of modifying these Terms as stipulated in section 3 of these Terms.

List of processors:

  * Amazon Web Services -- cloud computing services in Germany and in the US \(Privacy Shield certified and GDPR-compliant\)

  * Stripe -- accepts payments and manages businesses online \(Privacy Shield certified and GDPR-compliant\)


## 5. Using the Services

### 5.1. Establishing an Account

Certain features, functions, parts or elements of the Services can be used or accessed only by holders of an Account. The person who wishes to create an Account must:

  * complete the sign-up form on the Web Site or alternative process provided by a Reseller if access to the Services is purchased from a Reseller; and

  * accept these Terms by clicking "Sign up" or other similar button

Each Client may have only one Account. If several persons need to use an Account on behalf of Client, Client must designate such persons as Users. Each such User shall be subject to the restrictions set forth in these Terms.

If Client has designated Users and granted them Authorization, such Users will be deemed to be authorized to act on behalf of Client when using the Account. Supplier is not responsible for and shall have no liability for verifying the validity of Authorization of any User. However, Supplier may, in its discretion, request additional information or proof of the person's credentials. If Supplier is not certain if a User has been granted Authorization, Supplier may, in its sole discretion, prevent such User from accessing the Services.

A User may be associated with multiple Clients and Accounts. Deleting a User from one Account will not remove the User from the Platform if he/she is connected to multiple Accounts.

The Client and any User associated with an Account must provide Supplier with true, accurate, current, and complete information about the Client, Users or Account and keep it up to date.


### 5.2. Logging Into an Account

Supplier shall provide Client with a username and password \("Login Credentials"\) to be used to log in to its Account unless the Client uses the single sign-on feature or another service to log in. These Login Credentials must not be used by multiple persons. If Client has designated several Users, each User will be provided with separate Login Credentials. Client and each User are responsible for keeping confidential all login credentials associated with an Account. Client must promptly notify Supplier:

  * of any disclosure, loss or unauthorized use of any Login Credentials;

  * of a User's departure from the Client's organization;

  * of a change in a User's role in the Client's organization;

  * of any termination of a User's right for any reason.

### 5.3. Termination of Account

Client may terminate these Terms at any time as provided in Section 17. Supplier shall permanently delete the Account within six months of the effective date of the termination.

### 5.4. Fees

The use of an Account is subject to a Fee. Upon sign-up for an Account, the Client must select a Plan. Different rates apply to different Plans. The applicable Fee is charged in advance on monthly or annual payment intervals, unless agreed otherwise between parties. All Fees are non-refundable, i.e. there are no refunds or credits for periods where the Client did not use an activated Account, used it only partially, or deactivated the Account or terminated these Terms during an ongoing payment interval. If, after signing up, Client elects to upgrade to a more expensive Plan, the unused portion of any prepaid Fees shall be applied to the Fee of the more expensive Plan.

All Fees are exclusive of all taxes, levies or duties applicable under any applicable law, unless stated otherwise stated herein. Client is solely responsible for the payment of such taxes, levies or duties.

### 5.5. Changing Plans

Any Client has the right to upgrade or downgrade a current Plan at any time by selecting a new Plan among the collection of Plans determined by the Supplier. In such an event, the Client's credit card on file with the Supplier will automatically be charged with a Fee for the next payment interval with the rate stipulated in the new Plan.

Downgrading of the current Plan may cause the loss of features or capacity of the Account, as well as the loss of Client Data.

### 5.6. Free Trial

A new Client may be entitled to a Free Trial, unless the Client has applied for the Account as a result of an ongoing marketing campaign organized by the Supplier in co-operation with its partners. The Client is not required to provide any credit card information during the period of Free Trial. If the period of Free Trial has expired, the Account will be automatically deactivated. In order to prevent deactivation or to reactivate the Account, the Client is required to select a suitable Plan and pay the first Fee. If the Client does not pay the first Fee within 2 weeks as of the expiry of the Free Trial, Supplier has the right to permanently delete the Account, including all Client Data therein.

In addition to the current collection of Plans, Supplier may offer special discounts and motivation schemes \(for example finder's fees, etc.\).


## 6. Payment

The following provisions are applicable only if you purchase access to the Services directly from Supplier.  If you purchase access to the Services through a Reseller, the payment terms are set forth in the agreement with your Reseller.

### 6.1. Credit Card Authorization

Supplier may seek pre-authorization of Client's credit card account prior to your purchase of Services in order to verify that the credit card is valid and has the necessary funds or credit available to cover your purchase. You authorize such credit card account to pay any amounts described herein, and authorize Supplier to charge all sums described in these Terms to such credit card account. You agree to provide Supplier updated information regarding your credit card account upon Supplier's request and any time the information earlier provided is no longer valid.

### 6.2. Electronic Invoice

If Supplier has not sought pre-authorization of your credit card, then before the end of each payment interval, Client will be issued an electronic invoice for payment of the Fee of the next payment interval. Client must pay the invoice by the due date indicated on the invoice.

### 6.3. Overage Charges

Upon delay with any payments, Supplier may require the Client to pay interest on the delay \(penalty for late payment\) for the period as of the time the payment obligation falls due until conforming performance is rendered. The interest rate of penalty for late payment due shall be 1% per month; provided, however, if any interest paid to Supplier is determined to be in excess of the then legal maximum rate, then that portion of each interest payment representing an amount in excess of the then legal maximum rate shall be deemed a payment of amounts owing under Section 6.2. Upon calculation of the penalty for late payment, one year shall be deemed to contain 365 calendar days.


## 7. Client Data

### 7.1. Uploading Client Data to Platform

If the Client uploads Client Data to the Platform, such Client Data and any processing of such Client Data must be in compliance with these Terms and applicable law. All rights, title and interest in and to the Client Data belong to the Client or third persons \(including Users, persons and Organizations\) whether posted and/or uploaded by you or made available on or through the Services by Supplier. By uploading Client Data to the Platform, Client authorizes Supplier to process the Client Data. The Client is responsible for ensuring that:

  * the Client and any of the Users associated with the Account do not create, transmit, display or make otherwise available any Client Data that violates the terms of these Terms, the rights of Supplier, other Clients or Users, persons or Organizations or is harmful \(for example viruses, worms, malware and other destructive codes\), offensive, threatening, abusive, harassing, tortuous, defamatory, vulgar, obscene, invasive of another's privacy, defamatory, hateful or otherwise unlawful; and

  * the Client and all of the Users associated with the Account have the necessary rights to use the Client Data, including to insert it into the Platform and process it by means of the Account.

### 7.2. No Guarantee of Accuracy

Supplier does not guarantee any accuracy with respect to any information contained in any Client Data, and strongly recommends that you think carefully about what you transmit, submit or post to or through the Services. You understand that all information contained in Client Data is the sole responsibility of the person from whom such Client Data originated. This means that Client, and not Supplier, is entirely responsible for all Client Data that is uploaded, posted, transmitted, or otherwise made available through the Services, as well as for any actions taken by the Suppliers or other Clients or Users as a result of such Client Data.

### 7.3. Unlawful Client Data

Supplier is not obliged to pre-screen, monitor or filter any Client Data or acts of its processing by the Client in order to discover any unlawful nature therein. However, if such unlawful Client Data or the action of its unlawful processing is discovered or brought to the attention of Supplier or if there is reason to believe that certain Client Data is unlawful, Supplier has the right to:

  * notify the Client of such unlawful Client Data;

  * deny its publication on the Web Site or its insertion to the System;

  * demand that the Client bring the unlawful Client Data into compliance with these Terms and applicable law;

  * temporarily or permanently remove the unlawful Client Data from the Web Site or Account, restrict access to it or delete it.

If Supplier is presented convincing evidence that the Client Data is not unlawful, Supplier may, at its sole discretion, restore such Client Data, which was removed from the Web Site or Account or access to which was restricted.

In addition, in the event Supplier believes in its sole discretion Client Data violates applicable laws, rules or regulations or these Terms, Supplier may \(but has no obligation\), to remove such Client Data at any time with or without notice.

Without limiting the generality of the preceding sentence, Supplier complies with the Digital Millennium Copyright Act, and will remove Client Data from the Platform upon receipt of a compliant takedown notice.

### 7.4 Compelled Disclosure

Supplier may disclose a Client's confidential information to the extent compelled by law to do so. In such instance, Supplier will use commercially reasonable efforts to provide Client with prior notice of the compelled disclosure \(to the extent legally permitted\) and Client shall provide reasonable assistance, at its cost, if Client wishes to contest the disclosure. If Supplier is compelled by law to disclose Client's confidential information as part of a civil proceeding to which Supplier is a party, and Client is not contesting the disclosure, Client will reimburse Supplier for its reasonable cost of compiling and providing secure access to that confidential information.


## 8. Services

### 8.1. Use of the Services

Subject to these Terms, and the payment of the applicable service Fee, Supplier grants Client and its authorized users a non-exclusive, non-transferable, non-sub-licensable license to use the Services to:

  * collect, store and organize Client Data, such as add new Persons and Organizations, generate reports based on Client Data, add Products to be offered for sale to Persons and Organizations; add new Users and grant them Authorizations;

  * modify and delete Client Data;

  * customize the standard features of the Services;

  * receive reasonable help and guidance and from Supplier regarding the use of the Services.

### 8.2. Technical Support

Supplier shall provide reasonable technical support to Client and its authorized User at the reasonable request of the Client. Supplier shall respond to enquiries of support from a Client utilizing the contacts set forth below as soon as reasonably possible. Responding to enquiries of Clients and Users who have accepted these Terms but do not have an Account may be less expedient, or may not occur at all.

The contacts for all enquiries of support are:

  * instant messaging;

  * built-in notification application on the Web Page; or

  * e-mail: support@terrahub.io

Notwithstanding the foregoing, if you purchased access to the Services from a Reseller, then first-line technical support will be provided by the Reseller and not by the Supplier.

### 8.3. Modifications to Service

Supplier reserves the right to modify the Services or any part or element thereof from time to time without prior notice, including, without limitation:

  * rebranding the Services at its sole discretion;

  * ceasing providing or discontinuing the development any particular Services or part or element of the Platform temporarily or permanently;

  * taking such action as is necessary to preserve Supplier's rights upon any use of the Services that may be reasonably interpreted as violation of Supplier's intellectual property rights, distribution of Internet viruses, worms, Trojan horses, malware, and other destructive activities or illegal activity.

As applicable, Client may be notified of such modifications when logging in to the Account. Modifications, including change in applicable rates for the Services, will become effective thirty \(30\) days before the effective date of such modification.

If the Client does not accept the modification, the Client shall notify Supplier or Reseller \(if Client purchased access to the Services from a Reseller\) before the effective date of the modification, and these Terms will terminate on the effective date of the modification. The Client's continued use of the Services, or any part or element thereof, after the effective date of a modification shall indicate its consent to the modifications. Supplier shall not be liable to the Client or to any third person for any modification, suspension or discontinuance of the Services, or any part or element thereof.


## 9. Data Processing Contract

For the purposes of Article 28 of Regulation \(EU\) 2016/679, these Terms constitute the data processing contract between the Client as the data controller and the Supplier as the data processor. The Client hereby instructs the Supplier to process the data as described in these Terms.

### 9.1. Subject Matter and Nature of Processing

The Supplier provides the Platform where the Client, as the data controller, can collect, store and organize the personal data of data subjects determined by the Client. The Platform has been designed to work as a sales CRM tool but, to the extent not regulated by these Terms, the Client decides how they use the Platform.

### 9.2. Duration

The Supplier will process data on behalf of the Client until the termination of the Services in accordance with these Terms. Upon termination, TerraHub will store the Client's data for a period of six months, should the Client wish to reopen the Account to resume the use of the Services or to export Client Data, unless instructed otherwise by the Client. The Supplier deletes or returns all the personal data to the controller after the end of the provision of services relating to processing, and deletes existing copies unless Union or Member State law requires storage of the personal data.

### 9.3. Parties' Rights and Obligations

The Client's rights and obligations regarding Client Data are provided in sections 4 through 10 of these Terms. The Supplier ensures that persons authorised to process the personal data have committed themselves to confidentiality or are under an appropriate statutory obligation of confidentiality. The Supplier takes all measures required pursuant to Article 32 of Regulation \(EU\) 2016/679. The Supplier undertakes to make available to the controller all information necessary to demonstrate compliance with their obligations and to allow for and contribute to audits, including inspections, conducted or mandated by the Client as the data controller.


## 10. Restrictions

### 10.1. Prohibited Activities

Client and its authorized Users may use the Services and any part or element thereof only in the scope, with the means and for purposes as identified in these Terms and applicable law. By way of example, neither the Client nor any User may:

  * use the Services or any part or element thereof to commit a crime, breach any applicable law or entice or invite others to carry out such illegal actions;

  * copy, duplicate, distribute, modify, adapt, hack, create derivative works, reverse engineer or decompile the Services or any part or element thereof, or attempt to extract the source code thereof, unless \(i\) it is expressly allowed under applicable law, and \(ii\) to the extent that the Supplier is not permitted by that applicable law to exclude or limit the foregoing rights;

  * use the Services or any part or element thereof unless it has agreed to these Terms.

### 10.2. Certain Uses Require Supplier Consent

The Client or any User may not, without Supplier's prior express written consent \(e-mail, fax, Skype, etc.\):

  * sell, resell, lease, license, sublicense, distribute, provide, disclose, divulge, exploit or otherwise grant Access or make the Services available in whole or in part to any third persons, unless such third person is another authorized User of the same Client;

  * use the Services or any part or element thereof in a scope, with means or for purposes other than those for which their functionality was created;

  * use the Services or any part or element thereof by means of programs that send them automatic enquiries or requests, unless such program has been made available by Supplier.


## 11. Privacy

Supplier takes the privacy of its Clients and Users very seriously. Supplier's Privacy Policy at <a href="https://www.terrahub.io/privacy-policy/">www.terrahub.io/privacy-policy</a> is hereby incorporated into these Terms by reference. Please read the Privacy Policy carefully as it governs Supplier's collection, use, and disclosure of Client's or User's personal information.


## 12. Intellectual Property Rights

### 12.1. TerraHub's Intellectual Property Rights in the Services

The Services, Materials, TerraHub trade names and trademarks, and any parts or elements thereof are solely and exclusively owned and operated by Supplier and its third party vendors and hosting partners. Materials are protected by copyright, trade dress, patent, trade secrets, and trademark laws, international conventions and treaties, and all other relevant intellectual property and proprietary rights laws. Supplier, its affiliates and licensors retains all right, title and interest in such Services, Materials, TerraHub trade names and trademarks, and any parts or elements. Your use of the Services and Materials, and any parts or elements does not grant to you any ownership right or intellectual property rights therein. Any commercial or promotional distribution, publishing or exploitation of the Materials is strictly prohibited unless you have received the express prior written permission from Supplier or the otherwise applicable rights holder. Supplier reserves all rights to the Services, Materials and TerraHub trade names and trademarks not expressly granted in the Terms.

### 12.2. Content Owned by TerraHub

Subject to these Terms and the payment of the applicable service Fee, Supplier grants Client and its authorized users a non-exclusive, non-transferable, non-sub-licensable license to download a single copy of any part of the Content solely for your personal, non-commercial use if you retain all copyright and proprietary notices that are contained in such part of the Content. You expressly acknowledge that you do not acquire any ownership rights by downloading any copyrighted material from or through the Platform or the Services. You shall not copy, distribute or publish any Content or any information obtained or derived therefrom except as permitted on or through the Services or as otherwise permitted by applicable law.

### 12.3. Client Data

Supplier may use Client Data in an aggregated or anonymized format for research, educational and other similar purposes. Supplier may not otherwise use or display Client Data without Client's written consent. Supplier respects your right to exclusive ownership of your Client Data. Unless specifically permitted by you, your use of the Services does not grant Supplier the license to use, reproduce, adapt, modify, publish or distribute the Client Data created by you or stored in your Account for Supplier's commercial, marketing or any similar purpose. Client expressly grants Supplier the right to use and analyze aggregate system activity data associated with use of the Services by Client and its Users for the purposes of optimizing, improving or enhancing the way the Services operate, and to create new features and functionality in connection with the Services in the sole discretion of Supplier.

Client is solely responsible for its own Client Data and the consequences of posting or publishing them on or through the Services. In connection with Client Data, Client affirms, represents, and warrants that: \(i\) Client either owns its Client Data or has the necessary licenses, rights, consents, and permissions to use and authorize the Suppliers to display or otherwise use the Client Data under all patent, trademark, copyright, trade secrets, or other proprietary rights in and to your Client Data in a manner consistent with the intended features of the Services and these Terms, and to grant the rights and license set forth in Section 11.3\(a\), and \(ii\) Client Data, Supplier's or any TerraHub Licensee's use of such Client Data pursuant to these Terms, and Supplier's or any TerraHub Licensee's exercise of the license rights set forth in Section 11.3\(a\), do not and will not: \(a\) infringe, violate, or misappropriate any third-party right, including any copyright, trademark, patent, trade secret, moral right, privacy right, right of publicity, or any other intellectual property or proprietary right; \(b\) violate any applicable law or regulation anywhere in the world; or \(c\) require obtaining a license from or paying any fees and/or royalties by Supplier to any third party for the performance of any Services Client has chosen to be performed by Supplier or for the exercise of any rights granted in these Terms, unless Client and Supplier otherwise agree.

### 12.4. Feedback

If Client or a User provides Suppliers with any comments, bug reports, feedback, or modifications for the Services \("Feedback"\), Supplier shall have the right to use such Feedback at its discretion, including, but not limited to the incorporation of such suggested changes into the Services. Client or User \(as applicable\) hereby grants Supplier a perpetual, irrevocable, nonexclusive, royalty free license under all rights necessary to incorporate, publish, reproduce, distribute, modify, adapt, prepare derivative works of, publicly display, publicly perform, exploit and use your Feedback for any purpose.


## 13. Third-Party Sites, Products and Services

The Services may include links to other websites or services \("Linked Sites"\) solely as a convenience to Clients. Unless otherwise specifically and explicitly indicated, Supplier does not endorse any such Linked Sites or the information, material, products, or services contained on or accessible through Linked Sites. Furthermore, Supplier makes no express or implied warranties with regard to the information, material, products, or services that are contained on or accessible through Linked Sites. ACCESS AND USE OF LINKED SITES, INCLUDING THE INFORMATION, MATERIAL, PRODUCTS, AND SERVICES ON LINKED SITES OR AVAILABLE THROUGH LINKED SITES, IS SOLELY AT YOUR OWN RISK.

Any content referred to as community provided is provided by third parties and not developed or maintained by TerraHub. By using any community marked code or libraries in your software development, you acknowledge and agree that TerraHub is not in any way responsible for the performance or damages caused by such community provided code or library.


## 14. Disclaimers; No Warranty

UNLESS OTHERWISE EXPRESSLY STATED BY SUPPLIER, THE SERVICES, MATERIAL, AND ANY CONTENT, SERVICES, OR FEATURES MADE AVAILABLE IN CONJUNCTION WITH OR THROUGH THE SERVICES ARE PROVIDED "AS IS" AND "AS AVAILABLE" WITHOUT WARRANTIES OF ANY KIND EITHER EXPRESS OR IMPLIED. TO THE FULLEST EXTENT PERMISSIBLE PURSUANT TO APPLICABLE LAW, SUPPLIER AND ITS AFFILIATES DISCLAIM ALL WARRANTIES, STATUTORY, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANT ABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT OF PROPRIETARY RIGHTS, CORRECTNESS, ACCURACY, AND RELIABILITY.

UNLESS OTHERWISE EXPRESSLY STATED BY SUPPLIER, SUPPLIER AND ITS AFFILIATES DO NOT WARRANT THAT THE SERVICES AND ANY CONTENT, CLIENT DATA SERVICES, OR FEATURES MADE AVAILABLE IN CONJUNCTION WITH OR THROUGH THE SERVICES WILL BE UNINTERRUPTED OR ERROR-FREE, THAT DEFECTS WILL BE CORRECTED, OR THAT THE SERVICES AND ANY CONTENT, CLIENT DATA, SERVICES, OR FEATURES MADE AVAILABLE IN CONJUNCTION WITH OR THROUGH THE SERVICES OR THE SERVER THAT MAKES THEM AVAILABLE ARE FREE OF VIRUSES OR OTHER HARMFUL COMPONENTS.

UNLESS OTHERWISE EXPRESSLY STATED BY SUPPLIER, SUPPLIER AND ITS AFFILIATES DO NOT WARRANT OR MAKE ANY REPRESENTATIONS REGARDING THE USE OR THE RESULTS OF THE USE OF THE PLATFORM, THE SERVICES, MATERIAL OR ANY LINKED SITES, IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE.

THE LAWS OF CERTAIN COUNTRIES AND STATES DO NOT ALLOW LIMITATIONS ON IMPLIED WARRANTIES OR THE EXCLUSION OR LIMITATION OF CERTAIN DAMAGES. IF THESE LAWS APPLY TO YOU, SOME OR ALL OF THE ABOVE DISCLAIMERS, EXCLUSIONS, OR LIMITATIONS MAY NOT APPLY TO YOU, AND YOU MIGHT HAVE ADDITIONAL RIGHTS.


## 15. Indemnification

You agree to defend, indemnify and hold harmless Supplier and its affiliates, and their respective directors, officers, employees and agents, from any claims, losses, damages, liabilities, including attorney's fees, arising out of your use or misuse of the Services, Materials, representations made to the Supplier, its affiliates and/or third parties, violation of these Terms, violation of the rights of any other person or entity, or any breach of the foregoing representations, warranties, and covenants. Supplier reserves the right, at its own expense, to assume the exclusive defense and control of any matter for which you are required to indemnify Supplier, and you agree to cooperate with such defense of these claims.


## 16. Limitation of Liability

### 16.1. No Liability

Supplier shall not be liable to the Client or User for any consequences resulting from:

  * any modifications in these Terms, calculation and rates of Fees, the Services, Material, or any part or element thereof \(including but not limited to Account\), including any error, permanent or temporary interruption, discontinuance, suspension or other type of unavailability of the Services or Material;

  * deletion of, corruption of, or failure to store any Client Data;

  * use of Client Data by the Client or any of the Users associated with the Account;

  * upgrading or downgrading the current Plan;

  * any disclosure, loss or unauthorized use of the login credentials of Client or any authorized User due to Client's failure to keep them confidential;

  * the Client's use of the Account or the Services by means of browsers other than those accepted or supported by the Supplier;

  * the application of any remedies against the Client or authorized Users by the Supplier, for example if the Client or User has committed a crime or conducted a breach of applicable law by using the Services or any part or element thereof;

  * the differences between technologies and platforms used for access, for example if certain features, functions, parts or elements of the Services are designed for use on a personal computer or laptop and do not function on a mobile platform or a tablet;

  * the Supplier's application of the remedies described in these Terms, even if the reasonable grounds or legal basis for the application of these remedies turned out to be unfounded or invalid afterwards.

In addition, Supplier and its affiliates shall not be liable to the Client for any claim by any User, person, Organization or third persons against the Client arising out of the Client's failure to:

  * provide Supplier with accurate information about the Client, Users or Account;

  * notify Supplier of any reasons due to which a User does not have the right to use the Account on behalf of the Client;

  * provide any Products which it has agreed to provide to such a person or Organization \(whether such failure arises as a result of Supplier's negligence, breach if these Terms or otherwise\);

  * ensure the lawfulness of the Client Data;

  * obtain the necessary rights to use the Client Data; or

  * abide by any of the restrictions described in these Terms.

### 16.2. Limitation of Liability

IN NO EVENT SHALL THE AGGREGATE LIABILITY OF TERRAHUB AND ITS AFFILIATES ARISING OUT OF OR RELATED TO THESE TERMS EXCEED THE TOTAL AMOUNT PAID BY CLIENT HEREUNDER FOR THE SERVICES GIVING RISE TO THE LIABILITY IN THE SIX MONTHS PRECEDING THE FIRST INCIDENT OUT OF WHICH THE LIABILITY AROSE. THE FOREGOING LIMITATION WILL APPLY WHETHER AN ACTION IS IN CONTRACT OR TORT AND REGARDLESS OF THE THEORY OF LIABILITY, BUT WILL NOT LIMIT CLIENT'S PAYMENT OBLIGATIONS UNDER THE "PAYMENT" SECTION ABOVE.

### 16.3. Exclusion of Consequential and Related Damages

IN NO EVENT WILL EITHER PARTY OR ITS AFFILIATES HAVE ANY LIABILITY ARISING OUT OF OR RELATED TO THESE TERMS FOR ANY LOST PROFITS, REVENUES, GOODWILL, OR INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL, COVER, BUSINESS INTERRUPTION OR PUNITIVE DAMAGES, WHETHER AN ACTION IS IN CONTRACT OR TORT AND REGARDLESS OF THE THEORY OF LIABILITY, EVEN IF A PARTY OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES OR IF A PARTY'S OR ITS AFFILIATES' REMEDY OTHERWISE FAILS OF ITS ESSENTIAL PURPOSE. THE FOREGOING DISCLAIMER WILL NOT APPLY TO THE EXTENT PROHIBITED BY LAW.


## 17. Termination of These Terms

### 17.1. For Convenience

These Terms may be terminated for convenience upon written notice to the other party as indicated in the "Notice" Section below:

  * by the Client any time by clicking the no-questions-asked cancellation link on the Web Site, when logged in to the Account, or if the Client is paying for the Service with a PayPal account, by revoking the billing agreement on its PayPal profile; or if the client is paying for the Service via a Reseller, by means agreed upon between the Client and the Reseller;

  * by Supplier upon decision to end provision of the Services and close the Platform; or

  * immediately by either party, if proceedings are initiated for the other party's liquidation or insolvency or a negotiated settlement with the other party's creditors is concluded or an assignment is made on behalf of the other party for the benefit of creditors.

### 17.2. For Default

These Terms may be terminated for default upon written notice to the other party as indicated in the "Notice" Section below:

  * by either party in case of breach of these Terms by the other party, if the breach has not been cured within 30 days of receipt of a notice from the non-breaching party; or

  * immediately by either party if the other party breaches its obligations, as applicable under Sections 12 [Intellectual Property Rights] and 15 [Indemnification] of these Terms.

### 17.3. Effect of Termination

Upon termination of these Terms,

  * Supplier shall deactivate and permanently delete the Account, within six months of the effective date of termination of these Terms. If the Client has specifically requested for an earlier deletion of the Account, Supplier shall fulfill such request within 1 month of its receipt of such request.

Client must:

  * stop using and prevent the further usage of the Services, including, without limitation, the Platform;

  * pay any amounts owed to Supplier under these Terms; and

  * discharge any liability incurred by the Client before under these Terms prior to their termination; and

The following provisions shall survive the termination of these Terms: Sections 1, 7.4, 10, 11, 12, 14, 15, 16, 18 and 19.

### 17.4. Remedies

If Supplier terminates these Terms as a result of an uncured breach by a Client or User, Supplier is entitled to use the same or similar remedies against any other persons who use the Services in conflict with these Terms. Notwithstanding the foregoing, Supplier may also apply any other remedies available to it under the applicable law. Upon application of any remedies, the Client or User may lose Access or suffer a loss of certain features, functions, parts or elements of the Services.

If Supplier has reasonable grounds to believe that the Client's or User's use of the Services, including the Account may harm any third persons, Supplier has the right to take adequate measures under its control to prevent, stop and eliminate the harm, where possible, in order to protect those third persons.


## 18. Who You Are Contracting With

### 18.1. General

Supplier: Advanced Knowledge Information LLC dba TerraHub Corp
Address: 50 Tice Blvd Suite #340 Woodcliff Lake NJ 07677 USA
Email: support@terrahub.io


### 18.2. Governing Law and Jurisdiction

In the event of a dispute, controversy or claim arising out of or in relation to these Terms, including but not limited to the formation, validity, breach or termination thereof, the parties shall attempt to solve the matter amicably in mutual negotiations. In the event a mutually acceptable resolution cannot be reached within a reasonable time, either party will be entitled to seek all available remedies, including legal remedies subject to the terms and conditions set forth below. Notwithstanding the foregoing and subject to the terms and conditions set forth below, either party may seek injunctive relief with respect to any disputed matter to the extent possible under applicable law. Should an amicable settlement between parties not be possible, the dispute shall be finally solved in court or by arbitration as designated herein subject to the terms and conditions set forth below.

The United Nations Convention on Contracts for the International Sale of Goods \(Vienna Convention of 1980\) shall not be applied to these Terms. Any questions relating to these Terms which are not expressly or implicitly settled by the provisions contained in these Terms shall be governed by and construed in accordance with United States of America and all of its territories, as well as Canada.

These Terms \(and any further rules, policies or guidelines incorporated by reference therein\) shall be governed by and construed in accordance with the laws of the State of Delaware, without giving effect to any principles of conflicts of law. Unless otherwise agreed in writing by the Client and the Supplier, any dispute arising out of or relating to these Terms, or the breach thereof, shall be governed by the terms set forth in this Section 18.2.

Any dispute arising from or relating to the subject matter of these Terms shall be finally settled by arbitration in New York, New York, using the English language in accordance with the Arbitration Rules and Procedures of JAMS then in effect, by one commercial arbitrator with substantial experience in resolving intellectual property and commercial contract disputes, who shall be selected from the appropriate list of JAMS arbitrators in accordance with the Arbitration Rules and Procedures of JAMS. The prevailing party in the arbitration shall be entitled to receive reimbursement of its reasonable expenses \(including reasonable attorneys' fees, expert witness fees and all other expenses\) incurred in connection therewith. Judgment upon the award so rendered may be entered in a court having jurisdiction or application may be made to such court for judicial acceptance of any award and an order of enforcement, as the case may be. Notwithstanding the foregoing, each party shall have the right to institute an action in a court of proper jurisdiction for injunctive or other equitable relief pending a final decision by the arbitrator. For all purposes of these Terms, the parties consent to exclusive jurisdiction and venue in the United States Federal Courts located in New York, New York. Use of the Services is not authorized in any jurisdiction that does not give effect to all provisions of these Terms, including without limitation, this section.

We each agree that we shall bring any dispute against the other in our respective individual capacities and not as a plaintiff or class member in any purported class, representative proceeding or as an association. In addition, we each agree that disputes shall be arbitrated only on an individual basis and not in a class, consolidated or representative action. The arbitrator does not have the power to vary these provisions.

If any part of this provision is ruled to be unenforceable, then the balance of this provision shall remain in full effect and construed and enforced as if the portion ruled unenforceable were not contained herein.

Use of the Services is not authorized in any jurisdiction that does not give effect to all provisions of these Terms, including without limitation, this section.

Notwithstanding the foregoing, you and the Suppliers agree that nothing herein shall be deemed to waive, preclude, or otherwise limit either party's right to \(i\) pursue enforcement actions through applicable federal, state, or local agencies where such actions are available, \(ii\) seek injunctive relief in a court of law, or \(iii\) to file suit in a court of law to address intellectual property infringement claims.


## 19. General Provisions

### 19.1. Relationship of the Parties

The parties will act solely as independent contractors. These Terms shall not be construed as creating an agency, partnership, joint venture, fiduciary duty, or any other form of legal association between the Client and either Supplier, and the Client shall not represent to the contrary, whether expressly, by implication, appearance or otherwise. These Terms are not for the benefit of any third parties.

### 19.2. Severability

If any term, condition or provision of these Terms is held to be invalid, unenforceable or illegal in whole or in part for any reason, that provision shall be enforced to the maximum extent permissible so as to effect the intent of the parties. The validity and enforceability of the remaining terms, conditions or provisions, or portions of them, shall not be affected.

### 19.3. Entire Agreement

These Terms are the entire agreement between Client and Supplier regarding Client's use of the Services and supersedes all prior and contemporaneous agreements, proposals or representations, written or oral, concerning its subject matter. Except as otherwise provided herein, no modification, amendment, or waiver of any provision of these Terms will be effective unless in writing and signed by the party against whom the modification, amendment or waiver is to be asserted.

### 19.4. Assignment

Client may not, directly or indirectly, in whole or in part, by operation of law or otherwise, assign or transfer these Terms or delegate any of its rights and/or obligations under these Terms without Supplier's prior written consent. Any attempted assignment, transfer or delegation without such prior written consent will be void and unenforceable. Notwithstanding the foregoing, the Client, or its permitted successive assignees or transferees, may assign or transfer these Terms or delegate any rights or obligations hereunder without consent: \(1\) to any entity controlled by, or under common control with the Client, or its permitted successive assignees or transferees; or \(2\) in connection with a merger, reorganization, transfer, sale of assets or product lines, or change of control or ownership of the Client, or its permitted successive assignees or transferees.

### 19.5. No Waiver

Failure of either Party to exercise or enforce any provision of or any of its rights under these Terms shall not be deemed a waiver of future enforcement of that or any other provision or right.

### 19.6. Notices

Except as otherwise specified in these Terms, all notices related to these Terms will be in writing and will be effective upon \(a\) personal delivery, \(b\) the second business day after mailing, or \(c\), except for notices of termination or an indemnifiable claim \("Legal Notices"\), which shall clearly be identifiable as Legal Notices, the day of sending by email. Billing-related notices to you will be addressed to the relevant billing contact designated by you. All other notices to you will be addressed to the relevant Services system administrator designated by you.
